%!TEX root=../source.tex
%!TEX file=content/introduction.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section*{Introduction}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \begin{frame}[standout]

%   \begin{tikzpicture}[%
%       remember picture,%
%       overlay,%
%     ]
    
%     \node[%
%         inner sep=0pt,%%
%         outer sep=0pt,%
%         align=center,%
%         text width=1.00\paperwidth,%
%         minimum height=1.00\paperheight,%
%       ]%
%       at(current page){%
%         \includemedia[%
%           keepaspectratio,%
%           width=1.00\paperwidth,%16:9
%           height=1.00\paperheight,% 16:9
%           activate=pageopen,%
%           addresource=./videos/expo-short.mp4,%
%           transparent,%
%           playbutton=fancy,%
%           flashvars={%
%             src=./videos/expo-short.mp4%
%             &source=./videos/expo-short.mp4%
%             % &scaleMode=letterbox%
%             &autoPlay=true%
%             &autoRewind=false%
%             &volume=0%
%             &loop=true%
%             &autohide=true%
%             % &showinfo=true%
%             % &rel=true%
%           }
%         ]{}{StrobeMediaPlayback.swf}
%        };
  
%   \end{tikzpicture}
% \end{frame}

\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Flag ship cable robot: universal exposition \alert{Expo 2015}}

  \begin{center}
  \includemedia[%
    keepaspectratio,%
    height=0.80\textheight, % 16:9
    width=1.422222222\textheight,%16:9
    activate=pageopen,%
    addresource=./videos/expo-short.mp4,%
    transparent,%
    playbutton=fancy,%
    flashvars={%
      src=./videos/expo-short.mp4%
      &source=./videos/expo-short.mp4%
      &scaleMode=letterbox%
      &autoPlay=true%
      &autoRewind=true%
      &volume=0%
      &loop=false%
      &autohide=true%
      &showinfo=true%
      &rel=true%
    }
  ]{}{StrobeMediaPlayback.swf}
  \end{center}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{How to Obtain a Cable-Driven Parallel Robot?}
  
  \begin{figure}
    \centering
    \smaller[2]
    \includegraphics[%
        width=\linewidth,%
      ]{goughstewart-to-cdpr}%
  \end{figure}
  
  \vfill

  \begin{takeawayblock}{}
    Replace rigid links of parallel manipulators by cables to obtain a cable robot% considering cables only as force transmitting elements
  \end{takeawayblock}
\end{frame}


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \begin{frame}
%   \frametitle{\secname}
%   \framesubtitle{A Mechatronic View on Cable Robots}

%   \begin{figure}
%     \centering
%     \smaller[1]
%     % \tikzexternalenable%
%     % \tikzsetnextfilename{mechatronic-system-model}
%     \includegraphics[%
%         % width=\linewidth,
%         % height=0.45\textheight,%
%       ]{mechatronic-system-model-simple}
%     % \tikzexternaldisable
%   \end{figure}
  
%   \begin{minipage}[t]{0.33\linewidth}
%     \begin{block}{Drive Train}
%       \vspace*{0.50\baselineskip}
%       \begin{itemize}
%         \item rigid body
%         \item rotary dynamics
%         \item perfect coiling
%         \item kinematically well-defined
%       \end{itemize}
%     \end{block}
%   \end{minipage}%
%   \hfill%
%   \begin{minipage}[t]{0.32\linewidth}
%     % \begin{block}{Cables are \ldots}
%     %   \vspace*{0.50\baselineskip}
%     %   \begin{itemize}
%     %     \item straight line
%     %     \item massless
%     %     \item linear (visco-)elastic
%     %     \item without dynamics
%     %   \end{itemize}
%     % \end{block}
%   \end{minipage}%
%   \hfill%
%   \begin{minipage}[t]{0.32\linewidth}
%     \begin{block}{Platform}
%       \vspace*{0.50\baselineskip}
%       \begin{itemize}
%         \item rigid body
%         \item known inertia
%         \item Newtonian mechanics
%         \item known center of mass
%       \end{itemize}
%     \end{block}
%   \end{minipage}%
% \end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{How are Cables in Cable Robots Viewed?}
  
  \vfill

  \begin{minipage}[t]{0.49\linewidth}%
    \alert{Force dynamics model}%
    %
    \begin{align*}
      \cabforce_{\cabindex, \ms{model}} \of{t}
        & = \elasticity* \,
            \crosssection \,
            \frac{
              \delcablen \of{t}
            }{
              \cablen_{\subunstrained} \of{t}
            }
            +
            \viscosity* \,
            \crosssection \,
            \dotdelcablen \of{t}
    \end{align*}
  \end{minipage}
  \hfill%
  \begin{minipage}[t]{0.49\linewidth}%
    \alert{Tensile-only force transmission}%
    %
    \begin{align*}
      \cabforce_{\cabindex} \of{t}
        & = \begin{cases}
              \cabforce_{\cabindex, \ms{model}} \of{\delcablen \of{t}, \dotdelcablen \of{t}, \dotso} \,
                ,
                  & \delcablen \of{t} > 0
                  ,
                  \\
              0 \,
                ,
                  & \delcablen \of{t} \leq 0
                  .
            \end{cases}
    \end{align*}
  \end{minipage}%
  
  \vfill

  \begin{minipage}[c]{0.49\linewidth}%
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=1.00\linewidth,%
          height=0.45\textheight,%
        ]{material/kelvinvoigt/step-strain-response}
    \end{figure}
  \end{minipage}%
  \hfill%
  \begin{minipage}[c]{0.49\linewidth}%
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=1.00\linewidth,%
          height=0.45\textheight,%
        ]{stress-strain/conventional-model-response}
    \end{figure}
  \end{minipage}

  \vfill

  \begin{takeawayblock}{}
    Decoupled mechatronic system: cables considered only as force transmission elements
  \end{takeawayblock}
  
\end{frame}


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \begin{frame}
%   \frametitle{\secname}
%   \framesubtitle{Mechanical description of cable robots}
% \end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \begin{frame}
%   \frametitle{\secname}
%   \framesubtitle{Shortcomings of Current Cable Robot Models}
  
%   \vfill

%   \begin{minipage}[c]{0.49\linewidth}
%     \begin{figure}
%       \centering
%       \smaller[2]
%       \includegraphics[%
%           height=0.65\textheight,%
%           axisratio=1.00,%
%         ]{kinematics/catenary/catenary-vs-geometric_sag}
%     \end{figure}
    
%     % \vfill
  
%     \begin{takeawayblock}{}
%       Low cable tension causes cables to sag introducing fictitious force and invalidating straight-line cable assumption
%     \end{takeawayblock}
%   \end{minipage}%
%   \hfill%
%   \begin{minipage}[c]{0.49\linewidth}
%     \begin{figure}
%       \centering
%       \smaller[2]
%       \pgfplotstableread[%
%           col sep=comma,%
%         ]{data/stress-strain/example-dpro/liros-dpro.dat}\experimentaltable
%       \pgfplotstableread[%
%           col sep=comma,%
%         ]{data/stress-strain/example-dpro/hookean.dat}\modeltable
%       \includegraphics[%
%           height=0.65\textheight,%
%           axisratio=1.00,%
%         ]{stress-strain/stress-strain-real}
%     \end{figure}
    
%     % \vfill
  
%     \begin{takeawayblock}{}
%       Physical cables made from polyethylene fibers do not behave like Hookean solid (cf.\@ \citet{Tempel.2019})
%     \end{takeawayblock}
%   \end{minipage}%
% \end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Shortcomings of Current Cable Robot Models}

  % \begin{figure}
    \begin{center}
    \includemedia[%
      keepaspectratio,%
      height=0.75\textheight, % 16:9
      width=1.333333333\textheight,%16:9
      activate=pageopen,%
      addresource=./videos/cable-vibration-from-winch.mp4,%
      transparent,%
      playbutton=fancy,%
      flashvars={%
        src=./videos/cable-vibration-from-winch.mp4%
        &source=./videos/cable-vibration-from-winch.mp4%
        &scaleMode=letterbox%
        &autoPlay=true%
        &autoRewind=true%
        &volume=0%
        &loop=true%
        &autohide=true%
        &showinfo=true%
        &rel=true%
      }
    ]{}{StrobeMediaPlayback.swf}
    \end{center}
  % \end{figure}
  
  \vfill
  
  \begin{takeawayblock}{}
    Cable begins to vibrate when ends are moved abruptly due to negligible lateral stiffness
  \end{takeawayblock}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}[standout]
  Q: How to (re-)incorporate cables into cable robot description to consider both their motion and their interaction with the platform?
\end{frame}
